Legacy Open Mesh: Required Firmware Update For Open Mesh Switches

Follow

Topic

This article provides details about a critical update required for Open Mesh Switches running firmware older than version 1.03.24.

Environment

  • Open Mesh Switches

Description

Open Mesh switches running firmware earlier than 1.03.24 have certificates which expired in May 2019. After expiration, these switches no longer check in, preventing device management, reporting, and automatic upgrades. To remedy this, you must upgrade your switches to firmware version 1.03.24 or newer.

Beginning March 11, 2019, we began upgrading all switches running legacy firmware to version 1.03.24. These upgrades were set to occur during your network's defined maintenance window to minimize any potential disruption. You can view or change the network's maintenance window from the Configure → Maintenance section of the switch UI.
Confirm the status of your switches to ensure that they are running on the latest firmware release, and if not, use one of the upgrade methods below to resolve any disruptions in service. Be sure to bring undeployed switches online to verify they are upgraded to the latest firmware.

Upgrade procedure

Switches running firmware between 1.03.07 - 1.03.19

If your switch last reported it was running 1.03.07 or later, but it is not checking in, review your firewall settings
  1. Navigate to Configure → Maintenance and toggle Automatic Upgrades to on. Once this option is enabled, switches on the network will update to the current stable firmware release during the specified maintenance window. To avoid future disruption, and to receive the latest features and bug fixes, leave automatic upgrades enabled at all times. Open Mesh recommends setting a maintenance window during non-critical hours to limit disruption to your network.
  2. You can also click the Upgrade Now button to start the upgrade immediately.
  3. If a switch fails to upgrade despite enabling automatic upgrades, reboot it and wait for the maintenance window or click the Upgrade Now button again.

maintenance.jpgFigure 1: The Networking UI Maintenance page

Switches running firmware earlier than 1.03.07

These switches cannot check into Cloudtrax due to an already expired certificate and will require a manual firmware flash.

Questions / feedback

If you have any questions or concerns about this upgrade process, open a support ticket.

Additional Resources


Was this article helpful?

0 out of 0 found this helpful

You must sign in before voting on this article.

Want to talk about it? Have a feature request?

Head on over to our Community Forum or get live help.

Datto Homepage